libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.125. __nv_float2ll_rd

Prototype:

    i64 @__nv_float2ll_rd(float %f)

Description:

Convert the single-precision floating point value `x` to a signed 64-bit integer in round-down (to negative infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes